/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.kintai.report.dto;

import jp.mosp.common.common.BaseDto;

/**
 * CM_OUTPUT(CSV出力マスタ)のDTOクラス。
 */
public class CmOutPutDto extends BaseDto {
	
	private static final long	serialVersionUID	= -8847033460277900624L;
	
	// フィールド
	private int					id					= 0;						//ID
	private String				code				= "";						//出力コマンド番号
	private String				name				= "";						//ボタン表示名称
	private String				scope				= "";						//出力制限範囲
	private String				item				= "";						//出力項目
	private int					viewindex			= 0;						//表示順	
	private int					deleteflag			= 0;						//削除フラグ
																				
	
	/**
	 * コンストラクタ
	 */
	public CmOutPutDto() {
		super();
	}
	
	// アクセサメソッド
	/**
	 * @return id 	ID。
	 */
	public int getId() {
		return id;
	}
	
	/**
	 * @return code 	出力コマンド番号。
	 */
	public String getCode() {
		return code;
	}
	
	/**
	 * @return name 	ボタン表示名称。
	 */
	public String getName() {
		return name;
	}
	
	/**
	 * @return scope 	制限範囲。
	 */
	public String getScope() {
		return scope;
	}
	
	/**
	 * @return item 	出力項目。
	 */
	public String getItem() {
		return item;
	}
	
	/**
	 * @return viewindex 	表示順。
	 */
	public int getViewIndex() {
		return viewindex;
	}
	
	/**
	 * @return deleteflag 	削除フラグ。
	 */
	public int getDeleteFlag() {
		return deleteflag;
	}
	
	/**
	 * @param id 	セットするID。
	 */
	public void setId(int id) {
		this.id = id;
	}
	
	/**
	 * @param code 	セットする出力コマンド番号。
	 */
	public void setCode(String code) {
		this.code = code;
	}
	
	/**
	 * @param name 	セットするボタン表示名称。
	 */
	public void setName(String name) {
		this.name = name;
	}
	
	/**
	 * @param scope 	セットする制限範囲。
	 */
	public void setScope(String scope) {
		this.scope = scope;
	}
	
	/**
	 * @param item 	セットする出力項目。
	 */
	public void setItem(String item) {
		this.item = item;
	}
	
	/**
	 * @param viewindex 	セットする表示順。
	 */
	public void setViewIndex(int viewindex) {
		this.viewindex = viewindex;
	}
	
	/**
	 * @param deleteflag 	セットする削除フラグ。
	 */
	public void setDeleteFlag(int deleteflag) {
		this.deleteflag = deleteflag;
	}
}
